Create File Share
curl --request POST \
--url https://api.mijnklantportaal.nl/v1/file-shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": [
"fsd_abc123456789",
"fsf_abc123456789"
],
"customerId": "cst_abc123456789"
}
'import requests
url = "https://api.mijnklantportaal.nl/v1/file-shares"
payload = {
"content": ["fsd_abc123456789", "fsf_abc123456789"],
"customerId": "cst_abc123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: ['fsd_abc123456789', 'fsf_abc123456789'],
customerId: 'cst_abc123456789'
})
};
fetch('https://api.mijnklantportaal.nl/v1/file-shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fss_abc12345678",
"sharedWithCustomerId": "cst_abc12345678",
"sharedContent": "<array>",
"createdAt": "2024-04-29T21:00:00+02:00",
"links": {
"customer": {
"href": "https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678",
"type": "<string>"
},
"publicShare": {
"href": "<string>",
"type": "<string>"
}
}
}{
"message": "<string>"
}Create File Share
Share Directories and Files with a Customer or via a public link
POST
/
file-shares
Create File Share
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Returning the created File Share
File Share
ID of the File Share, always starting with fss_.
Example:
"fss_abc12345678"
ID of the customer this File Share is shared with, if any.
Example:
"cst_abc12345678"
An array with File and Directory objects which are shared via this File Share.
Date and time when the File Share was created. Written in ATOM format.
Example:
"2024-04-29T21:00:00+02:00"
Show child attributes
Show child attributes
⌘I
